Bug 1561627 - OpenStack Infra with bad credential flash shows JSON
Summary: OpenStack Infra with bad credential flash shows JSON
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.10.0
Assignee: Scott Seago
QA Contact: Nikhil Dhandre
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-28 15:38 UTC by Nikhil Dhandre
Modified: 2019-02-07 23:01 UTC (History)
7 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:01:30 UTC
Category: ---
Cloudforms Team: Openstack
Target Upstream Version:


Attachments (Terms of Use)
Actual flash (deleted)
2018-03-28 15:38 UTC, Nikhil Dhandre
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:01:37 UTC

Comment 2 Scott Seago 2018-04-10 13:51:41 UTC
This is caused by the same underlying bug that triggered https://bugzilla.redhat.com/show_bug.cgi?id=1561637

The main difference is in how it's manifested. This bug tracks what happens when you click 'validate', and the other tracks the outcome when trying to create a provider with bad credentials.

Comment 3 Scott Seago 2018-04-10 13:52:57 UTC
The fix is here: https://github.com/ManageIQ/manageiq-providers-openstack/pull/265

Comment 5 Nikhil Dhandre 2018-07-03 13:44:03 UTC
Verified with Version 5.10.0.2.20180626170006_40dc459 showing proper flash `Credential validation was not successful: Login failed due to a bad username or password.
`

Comment 6 errata-xmlrpc 2019-02-07 23:01:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.